import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiEditorProperty } from "../../../../../services/objects";
import { StiHelperService } from "../../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../../services/theme.service";
import * as i0 from "@angular/core";
export declare class StiBorderSidesEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    object: any;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    get borderAlignments(): any;
    set borderAlignments(value: any);
    setAll(): void;
    setNone(): void;
    changeState(value: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiBorderSidesEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiBorderSidesEditorComponent, "sti-border-sides-editor", never, { "property": { "alias": "property"; "required": false; }; "object": { "alias": "object"; "required": false; }; }, {}, never, never, false, never>;
}
